import AppClass from '../../lifecycle/AppClass.ts'
import {Route, RouteParameters} from './Route.ts'

export default class ActivatedRoute extends AppClass {
    public readonly params: RouteParameters

    constructor(
        public readonly incoming: string,
        public readonly route: Route,
    ) {
        super()
        this.params = route.build_parameters(incoming)
    }
}
