import { Container } from './Container.ts'
import Instantiable from './type/Instantiable.ts'
import { DependencyKey } from './type/DependencyKey.ts'

const container = new Container()
const make = <T>(target: Instantiable<T>|DependencyKey, ...parameters: any[]) => container.make(target, ...parameters)
export { container, make }
