import Module from '../Module.ts'
import Kernel from '../Kernel.ts'
import {Request} from '../../Request.ts'

export default class PrepareRequest extends Module {

    public static register(kernel: Kernel) {
        kernel.register(this).first()
    }

    public async apply(request: Request): Promise<Request> {
        await request.prepare()
        return request
    }

}
