import {Scope} from '../Scope.ts'
import {WhereBuilder} from '../type/WhereBuilder.ts'

export type ScopeFunction = (query: WhereBuilder) => WhereBuilder

export class FunctionScope extends Scope {
    constructor(protected _fn: ScopeFunction) {
        super()
    }

    apply(query: WhereBuilder): WhereBuilder {
        return this._fn(query)
    }
}
